Extending Qt Creator Manual | DeviceProcess

Extending Qt Creator Manual 4.5.2

# DeviceProcess Class

(ProjectExplorer::DeviceProcess)

- List of all members, including inherited members

## Public Functions

virtual QString | errorString() const = 0
virtual int | exitCode() const = 0
virtual QProcess::ExitStatus | exitStatus() const = 0
virtual void | interrupt() = 0
virtual void | kill() = 0
virtual QByteArray | readAllStandardError() = 0
virtual QByteArray | readAllStandardOutput() = 0
virtual void | start(const Runnable &runnable) = 0
virtual QProcess::ProcessState | state() const = 0
virtual void | terminate() = 0
virtual qint64 | write(const QByteArray &data) = 0

## Signals

void | error(QProcess::ProcessError error)
void | finished()
void | readyReadStandardError()
void | readyReadStandardOutput()
void | started()

## Protected Functions

| DeviceProcess(const QSharedPointer<const IDevice> &device, QObject *parent = 0)
QSharedPointer<const IDevice> | device() const

## Member Function Documentation

### `[protected]` DeviceProcess::DeviceProcess(const QSharedPointer<const IDevice> &device, QObject *parent = 0)

Default constructs an instance of DeviceProcess.

### `[protected]` QSharedPointer<const IDevice> DeviceProcess::device() const

### `[signal]` void DeviceProcess::error(QProcess::ProcessError error)

### `[pure virtual]` QString DeviceProcess::errorString() const

### `[pure virtual]` int DeviceProcess::exitCode() const

### `[pure virtual]` QProcess::ExitStatus DeviceProcess::exitStatus() const

### `[signal]` void DeviceProcess::finished()

### `[pure virtual]` void DeviceProcess::interrupt()

### `[pure virtual]` void DeviceProcess::kill()

### `[pure virtual]` QByteArray DeviceProcess::readAllStandardError()

### `[pure virtual]` QByteArray DeviceProcess::readAllStandardOutput()

### `[signal]` void DeviceProcess::readyReadStandardError()

### `[signal]` void DeviceProcess::readyReadStandardOutput()

### `[pure virtual]` void DeviceProcess::start(const Runnable &runnable)

### `[signal]` void DeviceProcess::started()

### `[pure virtual]` QProcess::ProcessState DeviceProcess::state() const

### `[pure virtual]` void DeviceProcess::terminate()

### `[pure virtual]` qint64 DeviceProcess::write(const QByteArray &data)